tclap 1.2.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TCLAP::CmdLineParseException Class Reference

Thrown from CmdLine when the arguments on the command line are not properly specified, e.g. More...

`#include <ArgException.h>`

Inheritance diagram for TCLAP::CmdLineParseException:

## Public Member Functions
| CmdLineParseException (const std::string &text="undefined exception", const std::string &id="undefined")
| Constructor. More...
Public Member Functions inherited from TCLAP::ArgException
| ArgException (const std::string &text="undefined exception", const std::string &id="undefined", const std::string &td="Generic ArgException")
| Constructor. More...
virtual | ~ArgException () throw ()
| Destructor. More...
std::string | error () const
| Returns the error text. More...
std::string | argId () const
| Returns the argument id. More...
const char * | what () const throw ()
| Returns the arg id and error text. More...
std::string | typeDescription () const
| Returns the type of the exception. More...

## Detailed Description

Thrown from CmdLine when the arguments on the command line are not properly specified, e.g.

too many arguments, required argument missing, etc.

Definition at line 143 of file ArgException.h.

## Constructor & Destructor Documentation

TCLAP::CmdLineParseException::CmdLineParseException | ( | const std::string & | text = `"undefined exception"`,
|  | const std::string & | id = `"undefined"`
| ) |  |
| inline

Constructor.

Parameters

  text | - The text of the exception.
  id | - The text identifying the argument source of the exception.

Definition at line 152 of file ArgException.h.

The documentation for this class was generated from the following file:

- ArgException.h